curl --request GET \
--url {schemes}://api.upsun.com/users/{user_id}/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/users/{user_id}/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/users/{user_id}/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"type": "fixed",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"namespace": "<string>",
"name": "<string>",
"label": "<string>",
"country": "<string>",
"capabilities": [
"<string>"
],
"vendor": "<string>",
"billing_profile_id": "<string>",
"billing_legacy": true,
"security_contact": "jsmith@example.com",
"ai_agent_settings": {
"can_enable": true,
"performance_agent_enabled": true,
"log_analyzer_agent_enabled": true
},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_links": {
"self": {
"href": "<string>"
},
"update": {
"href": "<string>",
"method": "<string>"
},
"delete": {
"href": "<string>",
"method": "<string>"
},
"members": {
"href": "<string>"
},
"create-member": {
"href": "<string>",
"method": "<string>"
},
"address": {
"href": "<string>"
},
"profile": {
"href": "<string>"
},
"account": {
"href": "<string>"
},
"payment-source": {
"href": "<string>"
},
"orders": {
"href": "<string>"
},
"vouchers": {
"href": "<string>"
},
"discounts": {
"href": "<string>"
},
"apply-voucher": {
"href": "<string>",
"method": "<string>"
},
"subscriptions": {
"href": "<string>"
},
"create-subscription": {
"href": "<string>",
"method": "<string>"
},
"estimate-subscription": {
"href": "<string>"
},
"prepayment": {
"href": "<string>"
},
"billing-profile": {
"href": "<string>"
},
"mfa-enforcement": {
"href": "<string>"
},
"sso": {
"href": "<string>"
}
}
}
],
"_links": {
"self": {
"href": "<string>"
},
"previous": {
"href": "<string>"
},
"next": {
"href": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}User organizations
Retrieves organizations that the specified user is a member of.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the user.
"d81c8ee2-44b3-429f-b944-a33ad7437690"
Query Parameters
Allows filtering by id using one or more operators.
Show child attributes
Show child attributes
Allows filtering by type using one or more operators.
Show child attributes
Show child attributes
Allows filtering by vendor using one or more operators.
Show child attributes
Show child attributes
Allows filtering by status using one or more operators.
Defaults to filter[status][in]=active,restricted,suspended.
Show child attributes
Show child attributes
Allows filtering by updated_at using one or more operators.
Show child attributes
Show child attributes
Determines the number of items to show.
1 <= x <= 100Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.
Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.
Allows sorting by a single field.
Use a dash ("-") to sort descending.
Supported fields: name, label, created_at, updated_at.
"-updated_at"
Was this page helpful?